function [fListClean] = removePltIdFiles(fList)
%removePltIdFiles removes functions that are part of PlotID out of flist
%   Detailed explanation goes here
%addpath('..\fcn_core');

[~,names,ext] = fileparts(fList);
names = strcat(names, ext); % add ext for comparison

% Get a list of all .m files that are part of Plot id
PltID_flist = struct2table(dir('+PlotID')); %get list of files 
[~,~,PltID_flist.ext(:)] = fileparts(PltID_flist.name(:)); % add ext column

PltID_flist = PltID_flist(strcmp(PltID_flist.ext,'.m'),:);

% Comparison and filter
fListClean = fList(~ismember(names,PltID_flist.name));

end

